Validate and install the provided root CA chain
Validates and installs the provided root certificate authority (CA) chain. Use this to manage and update the root CA chain for secure communications.
HTTP method and endpoint
POST /occm/key-store/signed-certificate
Usage notes
Successive calls will overwrite any previously installed root certificate authority (CA) chain.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
occmCertificate |
string |
True |
Example request
{
"occmCertificate": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
certificate |
string |
False |
|
certificateType |
string |
False |
|
directIssuerName |
string |
False |
|
endDate |
integer |
False |
|
publicId |
string |
False |
|
serialNumber |
string |
False |
|
startDate |
integer |
True |
|
subjectName |
string |
False |
Example error response
{
"certificate": "string",
"certificateType": "string",
"directIssuerName": "string",
"publicId": "string",
"serialNumber": "string",
"startDate": 0,
"subjectName": "string"
}